/// <reference path="../../includes.d.ts" />
/// <reference path="configPlugin.d.ts" />
declare module Configs {
    interface Block {
        ip: string;
        path: string;
    }
    interface oracleParam {
        name: string;
        ip: string;
        port: string;
        serviceName: string;
        tableName: string;
        status: string;
        id?: number;
    }
    interface volume {
        name: string;
        totalSize: number;
        usedSize: number;
        block: Block;
        folder?: Array<any>;
    }
    class ConfigsModelService {
        cluster: Array<volume>;
        oracleParam: Array<oracleParam>;
        constructor();
        updateAllData(): void;
        updateVolumeData(): void;
        updateOracleParam(): void;
        getFolderByVolumeName(name: string): any[];
    }
}
